import type { ICmsImportExportRecord } from "../../../domain";
import type { IAbortExportContentEntriesUseCase, IAbortExportContentEntriesUseCaseExecuteParams } from "./abstractions/AbortExportContentEntriesUseCase";
import type { ITasksContextObject } from "@webiny/tasks";
export interface IAbortExportContentEntriesUseCaseParams {
    abortTask: ITasksContextObject["abort"];
}
export declare class AbortExportContentEntriesUseCase implements IAbortExportContentEntriesUseCase {
    private readonly abortTask;
    constructor(params: IAbortExportContentEntriesUseCaseParams);
    execute(params: IAbortExportContentEntriesUseCaseExecuteParams): Promise<ICmsImportExportRecord>;
}
