import type { IValidateImportFromUrlUseCase, IValidateImportFromUrlUseCaseExecuteParams, IValidateImportFromUrlUseCaseExecuteResult } from "./abstractions/ValidateImportFromUrlUseCase";
import type { HeadlessCms } from "@webiny/api-headless-cms/types";
export interface IValidateImportFromUrlUseCaseParams {
    getModel: HeadlessCms["getModel"];
    getModelToAstConverter: HeadlessCms["getModelToAstConverter"];
}
export declare class ValidateImportFromUrlUseCase implements IValidateImportFromUrlUseCase {
    private readonly getModel;
    private readonly getModelToAstConverter;
    constructor(params: IValidateImportFromUrlUseCaseParams);
    execute(params: IValidateImportFromUrlUseCaseExecuteParams): Promise<IValidateImportFromUrlUseCaseExecuteResult>;
}
