"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertTaskToImportRecord = void 0;
const convertTaskToImportRecord = task => {
  return {
    id: task.id,
    status: task.taskStatus,
    done: task.output?.done || [],
    aborted: task.output?.aborted || [],
    invalid: task.output?.invalid || [],
    failed: task.output?.failed || [],
    error: task.output?.error
  };
};
exports.convertTaskToImportRecord = convertTaskToImportRecord;

//# sourceMappingURL=convertTaskToImportRecord.js.map