import type { Context } from "../types";
import type { NonEmptyArray } from "@webiny/api/types";
import { CmsModel } from "@webiny/api-headless-cms/types";
export declare const createResolvers: (models: NonEmptyArray<CmsModel>) => {
    Query: {
        getExportContentEntries(_: unknown, input: unknown, context: Context): Promise<import("@webiny/handler-graphql").ErrorResponse | import("@webiny/handler-graphql").Response<import("../types").ICmsImportExportRecord>>;
        listExportContentEntries(_: unknown, input: unknown, context: Context): Promise<import("@webiny/handler-graphql").ListErrorResponse | import("@webiny/handler-graphql").ListResponse<Omit<import("../types").ICmsImportExportRecord, "files">, import("@webiny/handler-graphql").Meta>>;
        getValidateImportFromUrl(_: unknown, input: unknown, context: Context): Promise<import("@webiny/handler-graphql").ErrorResponse | import("@webiny/handler-graphql").Response<import("../types").ICmsImportExportObjectGetValidateImportFromUrlResult>>;
        getImportFromUrl(_: unknown, input: unknown, context: Context): Promise<import("@webiny/handler-graphql").ErrorResponse | import("@webiny/handler-graphql").Response<import("../types").ICmsImportExportObjectImportFromUrlResult>>;
    };
    Mutation: {
        abortExportContentEntries(_: unknown, input: unknown, context: Context): Promise<import("@webiny/handler-graphql").ErrorResponse | import("@webiny/handler-graphql").Response<import("../types").ICmsImportExportRecord>>;
        validateImportFromUrl(_: unknown, input: unknown, context: Context): Promise<import("@webiny/handler-graphql").ErrorResponse | import("@webiny/handler-graphql").Response<import("../types").ICmsImportExportObjectValidateImportFromUrlResult>>;
        importFromUrl(_: unknown, input: unknown, context: Context): Promise<import("@webiny/handler-graphql").ErrorResponse | import("@webiny/handler-graphql").Response<import("../types").ICmsImportExportObjectImportFromUrlResult>>;
        abortImportFromUrl(_: unknown, input: unknown, context: Context): Promise<import("@webiny/handler-graphql").ErrorResponse | import("@webiny/handler-graphql").Response<import("../types").ICmsImportExportObjectImportFromUrlResult>>;
    };
};
