"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createMultipartUploadHandlerAddResult = exports.MultipartUploadHandlerAddResult = void 0;
class MultipartUploadHandlerAddResult {
  constructor(params) {
    this.written = params.written;
    this.parts = params.parts;
    this._pause = params.pause;
  }
  canBePaused() {
    return this.written;
  }
  async pause() {
    return this._pause();
  }
}
exports.MultipartUploadHandlerAddResult = MultipartUploadHandlerAddResult;
const createMultipartUploadHandlerAddResult = params => {
  return new MultipartUploadHandlerAddResult(params);
};
exports.createMultipartUploadHandlerAddResult = createMultipartUploadHandlerAddResult;

//# sourceMappingURL=MultipartUploadHandlerAddResult.js.map