import type { IImportFromUrlUseCase, IImportFromUrlUseCaseExecuteParams, IImportFromUrlUseCaseExecuteResponse } from "./abstractions/ImportFromUrlUseCase";
import type { ITasksContextObject } from "@webiny/tasks";
export interface IImportFromUrlUseCaseParams {
    updateTask: ITasksContextObject["updateTask"];
    getTask: ITasksContextObject["getTask"];
    triggerTask: ITasksContextObject["trigger"];
}
export declare class ImportFromUrlUseCase implements IImportFromUrlUseCase {
    private readonly updateTask;
    private readonly getTask;
    private readonly triggerTask;
    constructor(params: IImportFromUrlUseCaseParams);
    execute(params: IImportFromUrlUseCaseExecuteParams): Promise<IImportFromUrlUseCaseExecuteResponse | null>;
}
