"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.listModels = void 0;
const listModels = async context => {
  return await context.security.withoutAuthorization(async () => {
    try {
      const models = await context.cms.listModels();
      return models.filter(model => {
        return !model.isPrivate;
      });
    } catch (ex) {
      return [];
    }
  });
};
exports.listModels = listModels;

//# sourceMappingURL=models.js.map