"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkPermissions = void 0;
var _apiSecurity = require("@webiny/api-security");
const checkPermissions = async context => {
  try {
    const permission = await context.security.getPermission("*");
    if (permission) {
      return;
    }
  } catch (ex) {
    console.log("Error while checking CMS Export / Import  permissions.");
    console.error(ex);
  }
  throw new _apiSecurity.NotAuthorizedError();
};
exports.checkPermissions = checkPermissions;

//# sourceMappingURL=security.js.map